{
  "custom": {},
  "params": {
    "equipmentPath": "New Enterprise\\Site 1"
  },
  "propConfig": {
    "params.equipmentPath": {
      "onChange": {
        "enabled": null,
        "script": "\tlinePaths \u003d []\n\tif currentValue.value:\n\t\tsitePath \u003d currentValue.value\n\t\tsiteObj \u003d system.mes.loadMESObjectByEquipmentPath(sitePath)\n\t\t\n\t\tfor area in siteObj.getChildCollection().getList():\n\t\t\tareaObj \u003d area.getMESObject()\n\t\t\tfor line in areaObj.getChildCollection().getList():\n\t\t\t\tlineObj \u003d line.getMESObject()\n\t\t\t\tif lineObj.getMESObjectTypeName() \u003d\u003d \u0027Line\u0027:\n\t\t\t\t\tlinePaths.append({\"linePath\":lineObj.getEquipmentPath()})\n\tself.getChild(\"root\").getChild(\"FlexRepeater\").props.instances \u003d linePaths"
      },
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 558,
      "width": 1407
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "EmbeddedView"
        },
        "props": {
          "params": {
            "text": "Line Summary"
          },
          "path": "Page/Embedded/Widget Title"
        },
        "type": "ia.display.view"
      },
      {
        "meta": {
          "name": "FlexRepeater"
        },
        "position": {
          "basis": "512px",
          "grow": 1
        },
        "props": {
          "elementPosition": {
            "basis": "50px"
          },
          "elementStyle": {
            "paddingLeft": 10,
            "paddingRight": 10
          },
          "instances": [
            {
              "linePath": "New Enterprise\\Site 1\\Simulation Area\\Simulation Line"
            }
          ],
          "justify": "space-evenly",
          "path": "Page/Widgets/Global/Line Card Coord",
          "wrap": "wrap"
        },
        "type": "ia.display.flex-repeater"
      },
      {
        "meta": {
          "name": "timePeriodLabel"
        },
        "position": {
          "basis": "32px"
        },
        "props": {
          "style": {
            "color": "#808080",
            "fontFamily": "Roboto",
            "fontSize": 12,
            "textAlign": "center"
          },
          "text": "(Based on Current Shift)"
        },
        "type": "ia.display.label"
      }
    ],
    "events": {
      "system": {
        "onStartup": {
          "config": {
            "script": "\n\tsitePath \u003d self.view.params.equipmentPath\n\tsiteObj \u003d system.mes.loadMESObjectByEquipmentPath(sitePath)\n\t\n\tlinePaths \u003d []\n\tfor area in siteObj.getChildCollection().getList():\n\t\tareaObj \u003d area.getMESObject()\n\t\tfor line in areaObj.getChildCollection().getList():\n\t\t\tlineObj \u003d line.getMESObject()\n\t\t\tif lineObj.getMESObjectTypeName() \u003d\u003d \u0027Line\u0027:\n\t\t\t\tlinePaths.append({\"linePath\":lineObj.getEquipmentPath()})\n\t\n\tself.getChild(\"FlexRepeater\").props.instances \u003d linePaths"
          },
          "scope": "G",
          "type": "script"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}